# Exynos 5 Series Linux Mainline Patchset Generator
## Description
This Git repository hosts the mainline patchset generator for 32-bit Exynos 5 series ARM platforms (e.g. Exynos 5 Chromebooks, Odroid XU3/XU4, etc).

This utility automatically:
- Retrieves the postmarketOS Exynos 5 kernel fork (master branch); a mainline or close-to-mainline kernel that targets Exynos 5 hardware)
- Determines what Linux release the postmarketOS kernel fork is based on (as it can vary; previously has it based on either a Linux release candidate or the 'linux-next' branch)
- Obtains the unmodified and unpatched Linux kernel that the kernel fork is based on
- Generates a mainline patchset via comparing both kernels that can be subsequently applied to unmodified mainlinue Linux kernels (with the benefit of improved support for 32-bit Exynos 5 ARM devices)

Note: The resulting generated patchset will be located in the 'results' folder along with a log that details what Linux kernel release the postmarketOS kernel fork was based on.

The resulting patchset can be applied with little to no additional work on regular unpatched mainline Linux kernels.  All devices supported by the postmarketOS Exynos 5 kernel fork are supported by the generated patchset.

## Using the Mainline Patchset Generator
Executing 'generate_exynos_5_series_mainline_patchset.sh' will generate the mainline patchset and place it in the 'results' folder automatically

## Credits and Sources
| Repository                                                  | Branch                                                         | Organization |
|-------------------------------------------------------------|----------------------------------------------------------------|--------------|
| [Exynos5 Mainline/Linux](https://gitlab.com/exynos5-mainline/linux.git) | [master](https://gitlab.com/exynos5-mainline/linux/-/tree/master) | postmarketOS
